export declare const returnsComplexDataSymbol: unique symbol;
/**
 * @description
 * With this decorator, you can mark that the method returns complex data.
 * When applied, the core engine will search and process
 * streams and binary content in the returned value.
 * It can be used on the controller handle and databox fetch and singleFetch method.
 * @param target
 * @param propertyKey
 * @constructor
 */
export default function ReturnsComplexData(target: any, propertyKey: string): void;
