import { ComponentClass } from '../Component';
/**
 * @description
 * The API decorator can be used on any component class to define the component's endpoint name and apiLevel.
 * The Register decorator or a Router will use the defined endpoint name and apiLevel.
 * @param endpointName
 * @param apiLevel
 */
export declare const API: (endpointName: string, apiLevel?: number | null | undefined) => (target: ComponentClass) => void;
