import { MetaModel } from '../../main/models/metaModel';
import { Model } from '../../main/models/model';
import { DefinitionModel } from '../../main/models/definitionModel';
/**
 * @description
 * Marks that the client is allowed to send
 * null instead of the value for the model.
 * @param model
 */
export declare function $canBeNull<T extends Model>(model: T): T extends DefinitionModel ? MetaModel<T> & {
    canBeNull: true;
} : T extends MetaModel ? MetaModel<T["definitionModel"]> & {
    optional: T["optional"];
    canBeNull: true;
} : MetaModel<any>;
