/**
 * A method decorator that will mark that the
 * method should be used as a constructor function.
 * That will give you the possibility to create async constructor
 * functions and register more than one constructor.
 * The constructor methods will automatically be invoked when the
 * real class constructor was executed,
 * and the input data was assigned to the object.
 */
export declare const Constructor: () => (target: any, propertyName: string) => void;
