import { ChannelSubscribeRequest } from '../channelDefinitions';
import { ProcedureEnd, ProcedureReject, DataType } from 'ziron-worker';
import { ChannelPrepare } from '../channelPrepare';
import Socket from '../../../api/Socket';
import ConfigProvider from '../../config/management/configProvider';
export default class ChannelHandler {
    protected readonly channelPrepare: ChannelPrepare;
    private readonly socketChannelLimit;
    private readonly defaultApiLevel;
    constructor(channelPrepare: ChannelPrepare, cp: ConfigProvider);
    processSubRequest(request: ChannelSubscribeRequest, dataType: DataType, socket: Socket, end: ProcedureEnd, reject: ProcedureReject): Promise<void>;
    private _processRequest;
}
