export default class Target {
    private readonly splitSign;
    private readonly mainTarget;
    private readonly pathName;
    private extraInfo;
    private path;
    constructor(mainTarget?: string, pathName?: string, splitSign?: string, extraInfo?: string, path?: string);
    private clone;
    getMainTarget(): string;
    getLastPath(): string | undefined;
    addPath(path: string): Target;
    setExtraInfo(info: string): Target;
    private _addPath;
    private _setExtraInfo;
    getPath(): string | undefined;
    toString(): string;
}
