export interface BackErrorCollectionLimitConfig {
    /**
     * @description
     * Defines a BackError collection limit.
     * Useful to limit the spent process power to collect errors of received input,
     * but it also limits the error information.
     * The input processing will stop when the limit is reached.
     * @default
     * 100 (Except for receivers: 1)
     */
    backErrorCollectionLimit?: number | null;
}
