import DataboxPrepare from "../databoxPrepare";
import { DataboxConnectReq } from "../dbDefinitions";
import Socket from '../../../api/Socket';
import { ProcedureEnd, ProcedureReject, DataType } from 'ziron-worker';
import ConfigProvider from '../../config/management/configProvider';
export default class DataboxHandler {
    private readonly dbPrepare;
    private readonly defaultApiLevel;
    private readonly socketDataboxLimit;
    private readonly debug;
    constructor(dbPrepare: DataboxPrepare, cp: ConfigProvider);
    processConnectReq(input: DataboxConnectReq, dataType: DataType, socket: Socket, end: ProcedureEnd, reject: ProcedureReject): Promise<void>;
    private _processConnectReq;
}
