export declare enum ClientErrorName {
    MemberMissing = "MemberMissing",
    UnnecessaryMember = "UnnecessaryMember",
    UnknownChannel = "UnknownChannel",
    ChannelLimitReached = "ChannelLimitReached",
    AccessDenied = "AccessDenied",
    InvalidMember = "InvalidMember",
    InvalidToken = "InvalidToken",
    InvalidPackage = "InvalidPackage",
    InvalidRequest = "InvalidRequest",
    ApiLevelIncompatible = "ApiLevelIncompatible",
    UnknownDatabox = "UnknownDatabox",
    DataboxLimitReached = "DataboxLimitReached",
    UnknownSessionTarget = "UnknownSessionTarget",
    UnknownAction = "UnknownAction",
    NoData = "NoData",
    MaxBackpressureReached = "MaxBackpressureReached",
    InvalidInput = "InvalidInput",
    FetchProcessError = "FetchProcessError",
    RequestProcessError = "RequestProcessError",
    MaxInputChannelsReached = "MaxInputChannelsReached",
    MaxMembersReached = "MaxMembersReached"
}
