export declare const enum OperationType {
    Set = 0,
    Delete = 1,
    Clear = 2
}
interface ObjectSetOperation {
    /**
     * Type
     */
    0: OperationType.Set;
    /**
     * Path
     */
    1: string | string[];
    /**
     * Value
     */
    2?: any;
}
interface ObjectDeleteOperation {
    /**
     * Type
     */
    0: OperationType.Delete;
    /**
     * Path
     */
    1: string | string[];
}
interface ObjectClearOperation {
    /**
     * Type
     */
    0: OperationType.Clear;
}
export declare type ObjectEditOperation = ObjectSetOperation | ObjectDeleteOperation | ObjectClearOperation;
export {};
