/**
 * Simple internally used error bag.
 */
export default class ErrorBag<T extends Error = Error> {
    private readonly errors;
    toString(): string;
    addError(error: T): void;
    getErrors(): T[];
    hasError(): boolean;
}
