import { Events, PreparedEvents } from '../config/definitions/parts/events';
import { AnyFunction } from '../utils/typeUtils';
export default class EventPreparer {
    static prepare(events?: Events): PreparedEvents;
    static prepareEvent<T extends AnyFunction>(eventName: string, func: T | T[], errorEvent?: PreparedEvents['error']): (...args: Parameters<T>) => Promise<void>;
}
