import { Processable } from './modelProcessCreator';
import { Model } from './model';
export interface CompiledModel extends Processable {
    _optionalInfo: {
        optional: boolean;
        defaultValue: any;
    };
    /**
     * Pre compiled
     */
    _pc: boolean;
}
export interface OptionalInfo {
    optional: boolean;
    defaultValue: any;
}
export declare class ModelCompiler {
    private constructor();
    static compileModelDeep(model: Model): Model;
    /**
     * A function that will recursively resolve the inheritance of value models.
     * @param model
     */
    private static compileValueModelInheritance;
    private static processOptionalInfo;
}
