import { ServiceCreateFunction, ServiceGetFunction } from 'zation-service';
export default class ServiceBox {
    private readonly serviceName;
    private readonly instances;
    private readonly instancesConfig;
    private readonly create;
    private readonly get;
    constructor(serviceName: string, instances: Record<string, any> | undefined, create: ServiceCreateFunction<any, any>, get?: ServiceGetFunction<any, any>);
    init(errorBox: string[]): Promise<void>;
    private initInstances;
    getService(instance?: string): Promise<any>;
    existsInstance(instance?: string): boolean;
}
