import SocketMapper from './socketMapper';
import { RawSocket } from '../definitions/rawSocket';
export default class RawSocketUpgradeFactory {
    private readonly socketMapper;
    private readonly instanceId;
    constructor(socketMapper: SocketMapper, instanceId: string);
    /**
     * Upgrades the raw socket with zation functionality.
     * @param rawSocket
     */
    upgrade(rawSocket: RawSocket): asserts rawSocket is RawSocket;
}
