declare type TaskRunner<T> = () => Promise<T>;
export default class MidTaskScheduler {
    private pendingTasks;
    private runningTasksCount;
    private pendingMidTasks;
    private runningMidTasksCount;
    private _taskFinish;
    private _taskFinishBound;
    private _midTaskFinish;
    private _midTaskFinishBound;
    private allowToRunTask;
    private allowToRunMidTask;
    scheduleTask<T>(task: TaskRunner<T>): Promise<T>;
    scheduleMidTask<T>(task: TaskRunner<T>): Promise<T>;
    private run;
    private tryRunMidTasks;
    private tryRunTasks;
}
export {};
