/**
 * Promise util function that works like finally
 * with the difference that the promise error is caught.
 * It calls the function after the promise is fulfilled or rejected
 * and returns a new promise.
 * @param promise
 * @param func
 */
export default function afterPromise(promise: Promise<any>, func: () => Promise<void> | void): Promise<void>;
