import SocketSet from "./socketSet";
import Socket from '../../api/Socket';
export default class SocketSetMap<T extends Socket> {
    private readonly data;
    constructor();
    map(k: string, v: T): void;
    getValues(k: string): Socket[];
    forEach(k: string, func: (socket: Socket) => void): void;
    forAllEach(func: (socket: Socket) => void): void;
    removeKey(k: string): void;
    unMap(k: string | undefined, v: T): void;
    getLengthOfKey(k: string): number;
    removeAllValues(v: T): void;
    isKeyExist(k: string): boolean;
    getData(): Record<string, undefined | SocketSet>;
}
