export declare const notValueSymbol: unique symbol;
export declare const setNotFunctionSymbol: unique symbol;
export declare type Not<T> = {
    [notValueSymbol]: T;
};
/**
 * Inverts the value.
 * @param value
 */
export declare function $not<T>(value: T & {
    [setNotFunctionSymbol]: (...args: any[]) => any;
}): T;
export declare function $not<T>(value: T): Not<T>;
export declare function isNot(value: any): value is Not<any>;
export declare function getNotValue<T>(value: Not<T>): any;
