export declare type RelationOrArray<T extends any[] = any> = T;
/**
 * Creates a RelationOrArray means that
 * all items in the array are related with or.
 * @param items
 */
export declare function $or<T extends Array<any>>(...items: T): RelationOrArray<T>;
declare const relationAndArraySymbol: unique symbol;
export declare type RelationAndArray<T extends any[] = any> = T & {
    [relationAndArraySymbol]: true;
};
/**
 * Creates a RelationAndArray means that all
 * items in the array are related with and.
 * @param items
 */
export declare function $and<T extends Array<any>>(...items: T): RelationAndArray<T>;
export declare function isRelationAndArray(value: any): boolean;
export {};
