import { AccessRules } from './accessOptions';
import Socket from '../../api/Socket';
declare type MinAccessChecker = (socket: Socket, ...otherArgs: any[]) => Promise<boolean> | boolean;
export default class AccessUtils {
    /**
     * Creates a closure for checking the access.
     * @param value
     * @param target
     * A string that indicates on what target the created access checker is used.
     */
    static createAccessChecker<T extends MinAccessChecker>(value: AccessRules<T> | undefined, target: string): T;
    /**
     * Creates a closure for checking the access.
     * @param value
     */
    private static createAccessCheckerCore;
}
export {};
