import { AppConfig } from '../config/definitions/main/appConfig';
export declare type AllowedSystemsCheckFunction = (system: string, version: number) => boolean;
export default class AllowedSystemsChecker {
    /**
     * Returns a Closures for checking the allowed systems.
     * @param value
     */
    static createAllowedSystemsChecker(value: AppConfig['allowedSystems']): AllowedSystemsCheckFunction;
}
