import Socket from "../../api/Socket";
import { Socket as ZironSocket } from "ziron-worker";
export interface HandshakeAttachment {
    version: number;
    system: string;
    apiLevel?: number;
    payload?: any;
}
export interface RawSocket extends ZironSocket {
    readonly sid: string;
    readonly clientVersion: number;
    readonly clientSystem: string;
    readonly apiLevel: number | undefined;
    readonly handshakeAttachment: HandshakeAttachment;
    readonly socket: Socket;
}
