import { AnyFunction } from "../utils/typeUtils";
export declare type BreakChainOn<T extends AnyFunction> = ((...args: Parameters<T>) => boolean) | "ReturnValue" | false;
export interface FlowControlMiddlewareDefinition<T extends AnyFunction> {
    flowControl: true;
    defaultAllow: boolean;
}
export interface StandardMiddlewareDefinition<T extends AnyFunction> {
    flowControl: false;
    chain: boolean;
    breakChainOn?: BreakChainOn<T>;
}
export declare type MiddlewareDefinition<T extends AnyFunction> = FlowControlMiddlewareDefinition<T> | StandardMiddlewareDefinition<T>;
