import { PreparedAuthToken } from "../definitions/internal";
import AuthConfig from "../auth/authConfig";
export default class TokenUtils {
    static generateToken(version: number): PreparedAuthToken;
    /**
     * Check if a token is valid with server configuration.
     * @param token
     * @param ae
     */
    static checkToken<T extends object>(token: T, ae: AuthConfig): void;
}
